_Efreet_Desktop Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Efreet_Desktop Struct Reference
Efreet » Efreet_Desktop: The FDO Desktop Entry

Efreet_Desktop. More...

## Data Fields
int | type
| type of desktop file
int | ref
| reference count - internal
char * | version
| version of spec file conforms to
char * | orig_path
| original path to .desktop file
long long | load_time
| modified time of .desktop on disk
char * | name
| Specific name of the application.
char * | generic_name
| Generic name of the application.
char * | comment
| Tooltip for the entry.
char * | icon
| Icon to display in file manager, menus, etc.
char * | try_exec
| Binary to determine if app is installed.
char * | exec
| Program to execute.
char * | path
| Working directory to run app in.
char * | startup_wm_class
| If specified will map at least one window with the given string as it's WM class or WM name.
char * | url
| URL to access if type is EFREET_TYPE_LINK.
Eina_List * | only_show_in
| list of environments that should display the icon
Eina_List * | not_show_in
| list of environments that shoudn't display the icon
Eina_List * | categories
| Categories in which item should be shown.
Eina_List * | mime_types
| The mime types supppored by this app.
unsigned char | no_display
| Don't display this application in menus.
unsigned char | hidden
| User delete the item.
unsigned char | terminal
| Does the program run in a terminal.
unsigned char | startup_notify
| The starup notify settings of the app.
unsigned char | eet:1
| The desktop file is in eet cache.
Eina_Hash * | x
| Keep track of all user extensions, keys that begin with X-.
void * | type_data
| Type specific data for custom types.
unsigned char | dbus_activatable
| Activate application by dbus, not Exec. More...
Eina_List * | actions
| List of Efreet_Desktop_Actions, application actions. More...
Eina_List * | implements
| Interfaces which is file implements. More...
Eina_List * | keywords
| Keywords which describe this entry. More...

## Detailed Description

Efreet_Desktop.

a parsed representation of a .desktop file

## Field Documentation

unsigned char _Efreet_Desktop::dbus_activatable

Activate application by dbus, not Exec.

Since
  1.12

Referenced by efreet_desktop_string_list_join().

Eina_List* _Efreet_Desktop::actions

List of Efreet_Desktop_Actions, application actions.

Since
  1.12

Referenced by efreet_desktop_free(), and efreet_desktop_string_list_join().

Eina_List* _Efreet_Desktop::implements

Interfaces which is file implements.

Since
  1.12

Referenced by efreet_desktop_free(), and efreet_desktop_string_list_join().

Eina_List* _Efreet_Desktop::keywords

Keywords which describe this entry.

Since
  1.12

Referenced by efreet_desktop_free(), and efreet_desktop_string_list_join().